import { InputHTMLAttributes, ReactNode } from "react";
export interface TextInputRootProps {
    children: ReactNode;
}
declare function TextInputRoot({ children }: TextInputRootProps): JSX.Element;
declare namespace TextInputRoot {
    var displayName: string;
}
export interface TextInputIconProps {
    children: ReactNode;
}
declare function TextInputIcon({ children }: TextInputIconProps): JSX.Element;
declare namespace TextInputIcon {
    var displayName: string;
}
export interface TextInputInputProps extends InputHTMLAttributes<HTMLInputElement> {
}
declare function TextInputInput(props: TextInputInputProps): JSX.Element;
declare namespace TextInputInput {
    var displayName: string;
}
declare const TextInput: {
    Root: typeof TextInputRoot;
    Input: typeof TextInputInput;
    Icon: typeof TextInputIcon;
};
export default TextInput;
